Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.server
Class XmlRpcHttpServer

    java.lang.Object
      org.apache.xmlrpc.common.XmlRpcController
          org.apache.xmlrpc.server.XmlRpcServer
              org.apache.xmlrpc.server.XmlRpcStreamServer
                  org.apache.xmlrpc.server.XmlRpcHttpServer

All Implemented Interfaces:
  XmlRpcRequestProcessor, XmlRpcStreamRequestProcessor

Direct Known Subclasses:
  XmlRpcServletServer

    public abstract class XmlRpcHttpServer

extends XmlRpcStreamServer

Abstract extension of `XmlRpcStreamServer` for deriving HTTP servers.

Constructor Summary
`XmlRpcHttpServer()`

Method Summary
`protected java.io.OutputStream` | `getOutputStream(ServerStreamConnection pConnection, XmlRpcStreamRequestConfig pConfig, java.io.OutputStream pStream)` Called to prepare the output stream.
`protected abstract void` | `setResponseHeader(ServerStreamConnection pConnection, java.lang.String pHeader, java.lang.String pValue)`

Methods inherited from class org.apache.xmlrpc.server.XmlRpcStreamServer
`convertThrowable, execute, getErrorLogger, getInputStream, getOutputStream, getRequest, getXmlRpcWriter, getXMLWriterFactory, isContentLengthRequired, logError, setErrorLogger, setXMLWriterFactory, writeError, writeResponse`

Methods inherited from class org.apache.xmlrpc.server.XmlRpcServer
`execute, getConfig, getDefaultXmlRpcWorkerFactory, getHandlerMapping, getTypeConverterFactory, setConfig, setHandlerMapping, setTypeConverterFactory`

Methods inherited from class org.apache.xmlrpc.common.XmlRpcController
`getMaxThreads, getTypeFactory, getWorkerFactory, setMaxThreads, setTypeFactory, setWorkerFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.xmlrpc.common.XmlRpcRequestProcessor
`execute, getTypeConverterFactory`

Constructor Detail

### XmlRpcHttpServer

    public XmlRpcHttpServer()

Method Detail

### setResponseHeader

    protected abstract void setResponseHeader(ServerStreamConnection pConnection,
                                              java.lang.String pHeader,
                                              java.lang.String pValue)

### getOutputStream

    protected java.io.OutputStream getOutputStream(ServerStreamConnection pConnection,
                                                   XmlRpcStreamRequestConfig pConfig,
                                                   java.io.OutputStream pStream)
                                            throws java.io.IOException

  Description copied from class: `XmlRpcStreamServer`
  Called to prepare the output stream. Typically used for enabling compression, or similar filters.

  Overrides:
    `getOutputStream` in class `XmlRpcStreamServer`
  Parameters:
    `pConnection` - The connection object.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.